Skip to main content
GET
Get Current GPU Supply Snapshot

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Query Parameters

verified
enum<string>
default:yes

Filter by verification status

Available options:
yes,
no,
all
hosting_type
enum<string>
default:all

Filter by hosting type

Available options:
all,
secure_cloud,
community
num_gpus
string
default:all

GPU count bucket or "all" for true population

Response

Success. Returns {success: true, gpus: [{gpu_name, total, available, rented_verified, avail_verified, rented_unverified, avail_unverified, usage, usage_30d, dlperf, tflops, price_p10, price_p25, price_median, price_p75, price_p90, tflops_per_dollar, dlperf_per_dollar}]}. If the user is a host with no active machines, returns {success: true, gpus: [], needs_machine: true}.

success
boolean

Always true on success

needs_machine
boolean

True when the caller is a host with no active machines; gpus will be empty

gpus
object[]

One entry per GPU type with >= 10 total GPUs, sorted by total descending